# Packmangroup: Multimedia &gt; xine
# Packmanpackagename: kaffeine
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>A xine-based Media Player for KDE3</p>
# Packmanpackagedesc_de: <p>Ein xine-basierender Media Player f&uuml;r KDE3</p>
#
# Kaffeine spec file
#
%define major   1
%define libname libxine%{major}
%define libvers 1

Name:           kaffeine
Summary:        A xine-based Media Player for KDE3
Summary(de):    Ein xine-basierender Media Player für KDE3
Version:        0.6
Release:        0.pm.0
Copyright:      GPL
Group:          Productivity/Multimedia/Video/Players
Url:            http://kaffeine.sourceforge.net

Source0:        kaffeine-0.6.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{libname} >= %{libvers}
Requires:       qt3 >= %( echo `rpm -q --queryformat '%{VERSION}' qt3` | cut -b 1-3 )
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3` | cut -b 1-3 )
Requires:       libart_lgpl
Requires:       XFree86-libs
%if %suse_version > 810
Requires:       XFree86-GLX
%endif
Requires:       freetype2
Requires:       zlib
Requires:       libgcc
Requires:       libpng
BuildRequires:  %{libname}-devel >= %{libvers}
BuildRequires:  qt3-devel
BuildRequires:  libart_lgpl
BuildRequires:  XFree86-devel
BuildRequires:  freetype2-devel
BuildRequires:  zlib-devel
%if %suse_version > 810
BuildRequires:  fam-devel
%else
BuildRequires:  fam
%endif
BuildRequires:  libpng-devel
# Packmandepends: libxine1

%description
Kaffeine plays all files and devices supported by xine. For example:
MPEG files, AVI (if the codec being used is supported by xine), MP3,
and Ogg Vorbis. It also handles Video CDs, DVD, and DVB cards.



Authors:
--------
    Juergen Kofler <kaffeine@gmx.net>

%description -l de
Kaffeine spielt alle Dateien und Devices, die von xine unterstützt
werden. Zum Beispiel:
MPEG Dateien, AVI (soweit der Codec von xine unterstützt wird), MP3,
und Ogg Vorbis. Es werden auch Video CDs, DVD, und DVB-Karten
unterstützt.



Autor:
------
    Juergen Kofler <kaffeine@gmx.net>

%prep

%setup -n %{name}-%{version}
if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi
. /etc/opt/kde3/common_options
./configure $configkde \
%ifarch  x86_64 amd64 ia32e
            --enable-libsuffix=64 \
%endif
%if %suse_version >= 920
            --with-xorg \
%endif
            --disable-final

%build
. /etc/opt/kde3/common_options
%__make

%install
. /etc/opt/kde3/common_options
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT
%makeinstall
%if %suse_version > 820
%suse_update_desktop_file -r kaffeine KDE AudioVideo Player Video
%endif

cd ${RPM_BUILD_ROOT}

echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_kaffeine_zw
echo "%dir ${kde_prefix}/share/apps/kaffeine" >> ${RPM_BUILD_DIR}/filelist_kaffeine_zw
find . -type f | sed 's,^\.,,' >> ${RPM_BUILD_DIR}/filelist_kaffeine_zw
find . -type l | sed 's,^\.,,' >> ${RPM_BUILD_DIR}/filelist_kaffeine_zw
grep -v "/man/" ${RPM_BUILD_DIR}/filelist_kaffeine_zw | cat - > ${RPM_BUILD_DIR}/filelist_kaffeine
grep "/man/" ${RPM_BUILD_DIR}/filelist_kaffeine_zw | sed -e 's/$/\*/g' | cat - >> ${RPM_BUILD_DIR}/filelist_kaffeine
rm ${RPM_BUILD_DIR}/filelist_kaffeine_zw

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f ../filelist_kaffeine

%changelog
* Sun Mar 20 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.6
* Thu Dec 23 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5
* Sun Jun 20 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some synchronisations with SuSE 9.1 spec-file (should solve
  build problems on amd64)
* Thu May 13 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.3b
* Mon May 03 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.3
* Tue Apr 13 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- changes for including man-pages
* Wed Mar 24 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.2
* Sun Jan 18 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.1
* Tue Nov 18 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4
* Wed Jul 02 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3.2
* Tue Jun 24 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first packman spec file, based on original project spec file
